Subject: Re: Buffer overflows

From: Lukas Sandström <[email-masked]>
Date: Sun, 02 Sep 2007 19:39:28 +0200

René Scharfe wrote:
> And don't forget that we have our very own string library, viz.
> strbuf.c, which could see more use.
> 
> That said, I agree that bstring looks well thought out.  It's also quite
> large (lots of functions, lots of code where a bug might lurk).  Hmm.
> 
> Now if only someone could demonstrate the advantages of using bstring in
> git by posting a nice patch.. :-P
> 
> René

I'm currently working on rewriting builtin-mailinfo.c to use bstring. 
I'll hopefully have a proof-of-concept ready today or tomorrow.

/Lukas